#ifndef SQLPROFILEMODEL_H
#define SQLPROFILEMODEL_H

#include <QObject>
#include <QDebug>
#include <QSqlError>
#include <QSqlQuery>
#include <QDateTime>
#include <QSqlRecord>
#include <QSqlTableModel>

class SqlProfileModel : public QSqlTableModel
{
    Q_OBJECT
public:
    explicit SqlProfileModel(QObject *parent = nullptr);

    QVariant data(const QModelIndex &index, int role) const Q_DECL_OVERRIDE;
    QHash<int, QByteArray> roleNames() const Q_DECL_OVERRIDE;


    Q_INVOKABLE bool append(QString name);
    Q_INVOKABLE void remove(int row);
signals:

public slots:
};

#endif // SQLPROFILEMODEL_H
